export declare function isReserved(keyword?: any, type?: any): any;
export declare function isReservedClassName(keyword: any): any;
export declare function isReservedTableName(keyword: any, databaseType: any): any;
export declare function isReservedPaginationWords(keyword: any): any;
export declare function isReservedFieldName(keyword: any, clientFramework?: any): any;
declare const _default: {
    isReserved: typeof isReserved;
    isReservedClassName: typeof isReservedClassName;
    isReservedTableName: typeof isReservedTableName;
    isReservedFieldName: typeof isReservedFieldName;
    isReservedPaginationWords: typeof isReservedPaginationWords;
    JHIPSTER: string[];
    ANGULAR: string[];
    REACT: never[];
    JAVA: string[];
    TYPESCRIPT: string[];
    MYSQL: string[];
    POSTGRESQL: string[];
    CASSANDRA: string[];
    COUCHBASE: string[];
    ORACLE: string[];
    MONGODB: string[];
    MSSQL: string[];
    NEO4J: string[];
};
export default _default;
